Name:           perl-Spiffy
Version:        0.30
Release:        7%{?dist}
Summary:        Framework for doing object oriented (OO) programming in Perl
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Spiffy/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Spiffy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Source99:      Spiffy-filter-provides.sh
%global real_perl_provides %{__perl_provides}
%define __perl_provides %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-provides

%description
"Spiffy" is a framework and methodology for doing object oriented (OO)
programming in Perl. Spiffy combines the best parts of Exporter.pm,
base.pm, mixin.pm and SUPER.pm into one magic foundation class. It attempts
to fix all the nits and warts of traditional Perl OO, in a clean,
straightforward and (perhaps someday) standard way.

%prep
%setup -q -n Spiffy-%{version}

sed -e 's,@@PERL_PROV@@,%{real_perl_provides},' %{SOURCE99} > %{__perl_provides}
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_provides}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.30-7
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Mon Sep 04 2006 Steven Pritchard <steve@kspei.com> 0.30-6
- Rework spec to look more like current cpanspec output.

* Tue Feb 28 2006 Steven Pritchard <steve@kspei.com> 0.30-5
- Improve filter.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.30-4
- Drop dummy mixin.pm.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.30-3
- Filter out Provides: perl(DB).

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.30-2
- Drop explicit Provides: mixin.
- Add dummy mixin.pm.
- Improve Summary.
- Fix Source0.

* Sat Feb 25 2006 Steven Pritchard <steve@kspei.com> 0.30-1
- Update to 0.30.
- Drop explicit perl BR.

* Wed Dec 28 2005 Steven Pritchard <steve@kspei.com> 0.24-1
- Specfile autogenerated.
